#
# spec file for package perl-HTML-FromText
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-HTML-FromText
Version:        2.07
Release:        1699.1.pm.1
%define cpan_name HTML-FromText
Summary:        converts plain text to HTML
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/HTML-FromText/
Source:         http://www.cpan.org/authors/id/R/RJ/RJBS/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Email::Find::addrspec) >= 0.09
BuildRequires:  perl(HTML::Entities) >= 1.26
BuildRequires:  perl(Test::More) >= 0.96
Requires:       perl(Email::Find::addrspec) >= 0.09
Requires:       perl(HTML::Entities) >= 1.26
%{perl_requires}

%description
'HTML::FromText' converts plain text to HTML. There are a handful of
options that shape the conversion. There is a utility function,
'text2html', that's exported by default. This function is simply a short-
cut to the Object Oriented interface described in detail below.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README

%changelog
* Mon Apr 13 2015 coolo@suse.com
- updated to 2.07
  see /usr/share/doc/packages/perl-HTML-FromText/Changes
  Revision history for HTML-FromText
  2.07      2013-07-14 08:33:32 America/New_York
  - typo fix in documentation; thanks to Francesco Cecconi and Debian
  2.06      2013-07-03 13:21:34 America/New_York
  - Repackage, update to pass with different escaping
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Mon Nov 29 2010 coolo@novell.com
- called spec2changelog
* Wed Jun 21 2006 jfunk@funktronics.ca
- Disable test on SL 10.1 and up
* Tue Jun 20 2006 jfunk@funktronics.ca
- Build under buildservice
* Fri Nov 11 2005 jfunk@funktronics.ca
- Build for SL10
* Thu May 12 2005 jfunk@funktronics.ca
- Build for SL93
* Fri Nov 19 2004 jfunk@funktronics.ca
- Build for SL92
* Tue May 11 2004 jfunk@funktronics.ca
- Update
- Build for SL91
* Sat Nov  1 2003 jfunk@funktronics.ca
- Build for SUSE 9.0
* Fri May 30 2003 jfunk@funktronics.ca
- Update
- Build for SuSE 8.2
* Wed Dec 11 2002 jfunk@funktronics.ca
- Initial build
